Ask Your Question

KplMchl's profile - activity

2019-10-28 03:29:59 -0600 received badge  Famous Question (source)
2019-10-28 03:29:59 -0600 received badge  Notable Question (source)
2019-10-28 03:29:59 -0600 received badge  Popular Question (source)
2019-04-26 07:47:00 -0600 answered a question wxmaxima problem with fc29

One of the wxmaxima developpers suggested to post this bug on github. See https://github.com/wxMaxima-developers/wxmaxim

2019-04-26 05:10:46 -0600 received badge  Rapid Responder (source)
2019-04-25 20:57:46 -0600 asked a question wxmaxima problem with fc29

wxmaxima problem with fc29 There is a problem with wxmaxima 19.03.1 under fedora fc29 (wxWidgets: 3.0.4 Unicode support,

2014-05-07 12:44:43 -0600 commented answer Run fc20 but fc19 repos are used

That was indeed the solution: fedora-release-20-3.noarch was installed but fedora-release-19-8.noarch still was installed as well. package-cleanup --cleandupes found this problem.

2014-05-07 12:27:32 -0600 received badge  Notable Question (source)
2014-05-07 07:23:15 -0600 received badge  Popular Question (source)
2014-05-07 06:35:17 -0600 commented answer Run fc20 but fc19 repos are used

Sorry for the new answer ...

In the meantime (after cleaning some old fc19 packages) I did

yum --releasever=20 distro-sync
rpm --rebuilddb
yum clean all

All these commands worked without errors. I can work with yum --releasever=20 update or yum --releasever=20 install but a call of yum without this option still calls fc19 repos (same for apper, yumex, ...)

Any ideas where the releasever=19 comes from? Should I reboot after the distro-sync?

2014-05-07 01:56:23 -0600 answered a question Run fc20 but fc19 repos are used

Thanks for your hint but 'yum distro-sync' tries to downgrade all my fc20 packages to fc19. I didn't allow that.

2014-05-07 01:17:30 -0600 asked a question Run fc20 but fc19 repos are used

I upgraded with fedup to fc20 mainly successful. My machine runs a fc20 kernel and all installed fc20 packages. 'cat /etc/fedora-release' shows 'Fedora release 20 (Heisenbug)'.

But if I start apper or yumex both programs tell me that they use fc19 repos. All files in /etc/yum.repos.d/ use the variable $releasever . Where does fedora set this variable? Apparently /etc/fedora-release is ignored and the 19 is set somewhere else. Any help is welcome!